Name:          python-ptyprocess
Version:       0.7.0
Release:       2mamba
Summary:       Run a subprocess in a pseudo terminal
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pexpect/ptyprocess
Source:        https://pypi.debian.net/ptyprocess/ptyprocess-%{version}.tar.gz
License:       ISC License
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
Launch a subprocess in a pseudo terminal (pty), and interact with both the process and its pty

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n ptyprocess-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python3_sitearch}/ptyprocess-%{version}-py*.egg-info
%{python3_sitearch}/ptyprocess-%{version}-py*.egg-info/*

%changelog
* Sat Feb 19 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-2mamba
- rebuilt with distdeps

* Thu Dec 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- update to 0.7.0

* Sat Jul 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.6.0-1mamba
- update to 0.6.0

* Fri Feb 12 2016 Automatic Build System <autodist@mambasoft.it> 0.5.1-1mamba
- automatic version update by autodist

* Sun Jan 17 2016 Davide Madrisan <davide.madrisan@gmail.com> 0.5-1mamba
- package created using the webbuild interface
